Package wx :: Module richtext :: Class RichTextParagraphLayoutBox

[frames | no frames]

## Type RichTextParagraphLayoutBox

         object --+
                  |
             Object --+
                      |
         RichTextObject --+
                          |
    RichTextCompositeObject --+
                              |
                    RichTextBox --+
                                  |
                                 RichTextParagraphLayoutBox

Known Subclasses:
  `RichTextBuffer`

Proxy of C++ RichTextParagraphLayoutBox class

Method Summary
RichTextBox | ``__init__`(self, parent)` This defines a 2D space to lay out objects.
RichTextRange | `AddImage(self, image, paraStyle)`
RichTextRange | `AddParagraph(self, text, paraStyle)`
RichTextRange | `AddParagraphs(self, text, paraStyle)`
bool | `ApplyStyleSheet(self, styleSheet)`
| `Clear(self)`
bool | `ClearListStyle(self, range, flags)`
bool | `CollectStyle(self, currentStyle, style, multipleStyleAttributes, multipleTextEffectAttributes)`
| `Copy(self, obj)`
bool | `CopyFragment(self, range, fragment)`
bool | `DoNumberList(self, range, promotionRange, promoteBy, def, flags, startFrom, specifiedLevel)`
bool | `FindNextParagraphNumber(self, previousParagraph, attr)`
TextAttrEx | `GetBasicStyle(self)`
TextAttrEx | `GetDefaultStyle(self)`
RichTextRange | `GetInvalidRange(self, wholeParagraphs)`
RichTextObject | `GetLeafObjectAtPosition(self, position)`
RichTextLine | `GetLineAtPosition(self, pos, caretPosition)`
RichTextLine | `GetLineAtYPosition(self, y)`
int | `GetLineCount(self)`
RichTextLine | `GetLineForVisibleLineNumber(self, lineNumber)`
Size | `GetLineSizeAtPosition(self, pos, caretPosition)`
RichTextParagraph | `GetParagraphAtLine(self, paragraphNumber)`
RichTextParagraph | `GetParagraphAtPosition(self, pos, caretPosition)`
int | `GetParagraphCount(self)`
RichTextParagraph | `GetParagraphForLine(self, line)`
int | `GetParagraphLength(self, paragraphNumber)`
String | `GetParagraphText(self, paragraphNumber)`
bool | `GetPartialParagraph(self)`
RichTextCtrl | `GetRichTextCtrl(self)`
bool | `GetStyle(self, position, style)`
bool | `GetStyleForRange(self, range, style)`
wxRichTextStyleSheet | `GetStyleSheet(self)`
String | `GetText(self)`
bool | `GetUncombinedStyle(self, position, style)`
long | `GetVisibleLineNumber(self, pos, caretPosition, startOfLine)`
bool | `HasCharacterAttributes(self, range, style)`
bool | `HasParagraphAttributes(self, range, style)`
| `Init(self)`
bool | `InsertFragment(self, position, fragment)`
| `Invalidate(self, invalidRange)`
bool | `NumberList(self, range, defName, flags, startFrom, specifiedLevel)`
bool | `PositionToXY(self, pos, x, y)`
bool | `PromoteList(self, promoteBy, range, defName, flags, specifiedLevel)`
| `Reset(self)`
| `SetBasicStyle(self, style)`
bool | `SetDefaultStyle(self, style)`
bool | `SetListStyle(self, range, defName, flags, startFrom, specifiedLevel)`
| `SetPartialParagraph(self, partialPara)`
| `SetRichTextCtrl(self, ctrl)`
bool | `SetStyle(self, range, style, flags)`
| `UpdateRanges(self)`
long | `XYToPosition(self, x, y)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent=None)
(Constructor)

This defines a 2D space to lay out objects.

  Parameters:
    `parent`
    (type=RichTextObject)

  Returns:
    RichTextBox
  Overrides:
    `wx.richtext.RichTextBox.__init__` (inherited documentation)

Property Details

### thisown

The membership flag

  Get Method:
    unknown-38353808(...)
  Set Method:
    unknown-38353928(...)

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:46:46 2007 | http://epydoc.sf.net